### Method

# WebKit2WebExtension DOMEventTarget remove_event_listener

deprecated: 2.22

#### Declaration [src]

    gboolean
    webkit_dom_event_target_remove_event_listener (
      WebKitDOMEventTarget* target,
      const char* event_name,
      GCallback handler,
      gboolean use_capture
    )

#### Description

No description available.

Deprecated since: 2.22

Use JavaScriptCore API instead.

The implementation of this method is provided by `webkit_dom_event_target_remove_event_listener_with_closure()` in language bindings

#### Parameters

`event_name`

  Type: `const char*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`handler`

  Type: `GCallback`

  A `GCallback`.

`use_capture`

  Type: `gboolean`

  A #gboolean.

#### Return value

Type: `gboolean`

A #gboolean.